%  Gewchshausklimamodell 'klimod03'
%  Funktion zur Darstellung des CO2-Gaswechsels des Planzenbestandes 'gawepap', G, g/(m.h)
%  ruft auf: sdef
%  10.1.1995

function G = gawepap(X, IGLOB, A, P0);

   % DDI = X(:,1);
   % TEMI = X(:,2);
   % CI = X(:,3);
   % IGLOB = KLIMA(:,6);
   % A = PLANT(:,1);
   % P0 = PLANT(:,2);

   BLFL = A * 1e2;      % Umrechnung von m in dm
   BQ = 0.71;
   I = BQ .* IGLOB;
   IPHOT = 2.24 * I;

   A0 = 2.0037; A1 = 0.006166; B00 = 0.005370; B01 = 0.1128; B02 = 0.001052;
   B1 = 0.003215; B2 = -0.009083; B3 = 0.09487; B4 = -0.008538;
   C0 = 0.0001509;
   SDIO = 10;
   SDI = sdef(X(:,1), X(:,2));

   G1 = A0 * exp(-A1 * BLFL) .* (1 - exp(-(B00 * exp(-B01 * BLFL) + B02) .* IPHOT));
   G2 = (1 - exp(-B1 * X(:,3))) .* (X(:,2) + B2 * X(:,2).^2);
   G3 = B3 * X(:,2) + B4 * X(:,2).^2;
   G4 = (1 + C0 * SDIO.^2) ./ (1 + C0 * SDI.^2);
   G = (G1 .* G2 + G3) .* G4;
   % [G1 G2 G3 G4 G]

   G = G .* BLFL * 1e-3;      % Umrechnung von mg in g


% end of function
