% GET ConTRol values from a result file
%
% This function reads in result file and extracts the control values.
%
% Syntax:  [CtrVal, TStart, TEnd] = getctr(FileNameRes)
%
% Input parameter:
%
% Output parameter:
%
% See also: recvgrh3

% Author:   Hartmut Pohlheim
% History:  13.03.97    file created


function [CtrVal, TStart, TEnd, Xinit] = getctr(FileNameRes, DoMore)
 
% Load data from one file
   [Header, DataAll] = hdrload(FileNameRes);
   % Extract something
   Time = DataAll(:, 4);
   TStart = Time(1);
   TEnd   = Time(length(Time)); 

   CtrVal = DataAll(:, 12:14);
   CtrVal = reshape(CtrVal, 1, prod(size(CtrVal)));
   
   Xinit = DataAll(1, 5:10);
   
   if nargin > 1,
      PRICES = [3, 1, 5e-5];     % Preis fr Gemse: 3 DM/kg; Kohlendioxid: 1 DM/kg; Heizl: 0.00005 = 13.9 DM/GJ
      Model = 3;
      StateInit = [];  
      plotgrh3('objgrhs3', CtrVal, 1, Model, TStart, TEnd, [], StateInit, PRICES);
   end
        
% End of function
