%  Gewchshausklimamodell 'klimod03'
%  Funktion zur Darstellung der Biomasse und des Gewinnes 'gewinn', BIOM, g/(m.h), GEWI, DM/(m.h)
%  17.10.1994
%  History:    03.02.94    Faktor (1/1.46) bei Umrechnung von G in BIOM geloescht
%                          war Denkfehler, da schon Netto-Photosynthese verwendet wird und nicht Brutto

function [BIOM, GEWI] = gewinn1(G, Q, W, PRICES)

   % Define standard prices
   PriceIntern(1) = 3;         % Preis fr Gemse: 3 DM/kg
   PriceIntern(2) = 1;         % Preis fr Kohlendioxid: 1 DM/kg
   PriceIntern(3) = 0.00005;   % Preis fr Heizl: 13.9 DM/GJ
   
   % G = gawe01
   % Q = STELL(:,1)
   % W = STELL(:,3)

   % Check input parameter PRICES
   if nargin < 4, PRICES = []; end
   % if isempty(PRICES), PRgem = PR1; PRco2 = Pr2; PRheat = PR3; end
   PriceIntern(1:length(PRICES)) = PRICES;

   % Trockensubstanzproduktion aus CO2-Gaswechsel
   BIOM = G * (30/44);

   % Gemseerls - CO2Kosten - Wrmekosten
   GEWI = (BIOM * 1e-3 * 0.5 * (1/0.05) * PriceIntern(1) - W * 1e-3 * PriceIntern(2) - Q * PriceIntern(3));


% end of function
