%  Gewchshausklimamodell 'klimod03'
%  Funktion zur Darstellung des Energieaustausches durch Luftwechsel 'qluwe', LRQ, W/m
%  18.6.1994
     
function LRQ = qluwe(DDI, TEMI, TEMA, FA, LR);

   % DDI = X(:,1);
   % TEMI = X(:,2);
   % TEMA = KLIMA(:,3);
   % FA = KLIMA(:,4);
   % LR = STELL(:,2);

   DL = 1204; CPL = 1.006; CPD = 1.8631; VDW0 = 2501; VDW = 2453; RWS = 0.46152;

   DDA = dadichta(TEMA, FA);
   HI = CPL * DL .* TEMI + DDI .* (VDW0 + CPD * TEMI);
   HA = CPL * DL .* TEMA + DDA .* (VDW0 + CPD .* TEMA);
   LRQ = LR .* (HI - HA) / 3600;    % Umrechnung von pro Stunde in pro Sekunde, wegen LR
   
% end of function
