%  Gewchshausklimamodell 'klimod03'
%  Funktion zur Darstellung der Transpiration des Pflanzenbestandes 'trantom1', V, g/(m.h)
%  ruft auf: sdef, dadr, sdadr
%  14.6.1994

function V = transtom1(X, IGLOB, A, V0);

   % IGLOB = KLIMA(:,6);
   % A = PLANT(:,1);
   % V0 = PLANT(:,3);
   
   BLFL = A * 1e2;      % Umrechnung von m in dm
   BQ = 0.71;
   I = BQ * IGLOB;        
   B0 = 0.00054; B1 = -0.0002219; B2 = 0.000005213; B3 = -0.000000006623; B4 = 0.0000085;

   VSTAN = 10 .* (B1 + B2 * 300 + B3 * 300^2 + B4 * 60);
   VRELC = 1 - B0 .* (X(:,3) - 600);
   DdivSD = dadr(X(:,1),X(:,2)) ./ sdadr(X(:,2));
   VREL = VRELC / VSTAN .* sdef(X(:,1), X(:,2)) .* (B1 + B2 * I + B3 * I.^2 + B4 * DdivSD * 100);

   V = V0 .* VREL .* BLFL;
   
% end of function
